Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.ocsp
Class OCSPResponse

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.ocsp.OCSPResponse

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class OCSPResponse
extends ASN1Object

OCSP RFC 2560, RFC 6960 OCSPResponse ::= SEQUENCE { responseStatus OCSPResponseStatus, responseBytes [0] EXPLICIT ResponseBytes OPTIONAL }

See Also:
  `OCSPResponseStatus`, `ResponseBytes`

Constructor Summary
`OCSPResponse(OCSPResponseStatus responseStatus, ResponseBytes responseBytes)`

Method Summary
`static OCSPResponse` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static OCSPResponse` | `getInstance(java.lang.Object obj)`
`ResponseBytes` | `getResponseBytes()`
`OCSPResponseStatus` | `getResponseStatus()`
`ASN1Primitive` | `toASN1Primitive()` Produce an object suitable for an ASN1OutputStream.

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OCSPResponse

    public OCSPResponse(OCSPResponseStatus responseStatus,
                        ResponseBytes responseBytes)

Method Detail

### getInstance

    public static OCSPResponse getInstance(ASN1TaggedObject obj,
                                           boolean explicit)

### getInstance

    public static OCSPResponse getInstance(java.lang.Object obj)

### getResponseStatus

    public OCSPResponseStatus getResponseStatus()

### getResponseBytes

    public ResponseBytes getResponseBytes()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Produce an object suitable for an ASN1OutputStream. OCSPResponse ::= SEQUENCE { responseStatus OCSPResponseStatus, responseBytes [0] EXPLICIT ResponseBytes OPTIONAL }

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD